#ifndef __APPLICATION_H
#define __APPLICATION_H
//-----------------------------------------------------------------------------

#include "typedefs.h"
//-----------------------------------------------------------------------------

#define USART_RX_BUFFER_SIZE 32 // Receive buffer size
#define USART_TX_BUFFER_SIZE 5 // Receive buffer size. MUST not be larger 255

#define USART_BAUDRATE 9600 // USART baudrate original
#define USART_USE_TX // Transmitter used?
#define USART_USE_RX // Receiver used?
//#define USART_USE_RX_IRQ // RX interrupt used?
#define USART_USE_UPPERCASE // Convert received chars to uppercase?
//-----------------------------------------------------------------------------

// SPI DEFINITIONS
// Port Definitions
#define SPI_PRT PORTB
#define SPI_DDR DDRB

// Bit Definitions
#define SPI_MOSI PB5
#define SPI_MISO PB6
#define SPI_SCLK PB7


#define SPI_E_CS PB3
#define SPI_AD_CS PB4


//-----------------------------------------------------------------------------
extern volatile U08 app_reset_source;
//-----------------------------------------------------------------------------

void app_init(void); // Initialize application
void app_set_watchdog_prescaler(tWDT_PRESCALE wdt_prescale); // Set watchdog prescale

//methods in main ... declared here ... don't ask why ... 
// definition of some functions:
// these function are implemented in this file, this is not doog coding style.
// sooner or later, they will be moved into more apropriate files.
//void set_adc_enable_register();
//void set_ad7719_enable_register();
//U08	increase_adc (U08 channel);
//U08	increase_ad7719 (U08 channel);
//void check_what_measurement_was_finished() ;
// end of function definition:
//-----------------------------------------------------------------------------



//-----------------------------------------------------------------------------

#endif
